---
# this is a palmtest environments file

palm_config_template:

environments:

  GNU:
    executable: gfortran
    mpi_wrapper: mpif90
    include:
      netcdf: "-I /path/to/netcdf/gnu/include/"
      fftw: "-I /path/to/fftw/gnu/include/"
      rrtmg: "-I /path/to/rrtmg/gnu/include"
    lib:
      netcdf: "/path/to/netcdf/gnu/lib/libnetcdff.so"
      fftw: "/path/to/fftw/gnu/lib/libfftw3.so"
      rrtmg: "/path/to/rrtmg/gnu/lib/librrtmg.so"

  Intel:
    executable: ifort
    mpi_wrapper: mpif90
    include:
      netcdf: "-I /path/to/netcdf/intel/include/"
      fftw: "-I /path/to/fftw/intel/include/"
      rrtmg: "-I /path/to/rrtmg/intel/include"
    lib:
      netcdf: "/path/to/netcdf/intel/lib/libnetcdff.so"
      fftw: "/path/to/fftw/intel/lib/libfftw3.so"
      rrtmg: "/path/to/rrtmg/intel/lib/librrtmg.so"

  Cray:
    executable: crayftn
    mpi_wrapper: mpif90
    include:
      netcdf: "-I /path/to/netcdf/cray/include/"
      fftw: "-I /path/to/fftw/cray/include/"
      rrtmg: "-I /path/to/rrtmg/cray/include"
    lib:
      netcdf: "/path/to/netcdf/cray/lib/libnetcdff.so"
      fftw: "/path/to/fftw/cray/lib/libfftw3.so"
      rrtmg: "/path/to/rrtmg/cray/lib/librrtmg.so"
